package Specgen::utils;
use strict;

require Exporter;
our @ISA     = qw(Exporter);
our $VERSION = '0.01';
our @EXPORT  = qw(&readfile &file_write &not_null);

sub readfile($) {
    my $tmp;
    my $fh;
    open( $fh, "< $_[0]" ) || die;
    local $/;
    $tmp = <$fh>;
    close($fh);
    return $tmp;
}

sub file_write($$) {
    my $fn  = shift;
    my $txt = shift;
    my $fh;
    open( $fh, "> $fn" );
    print $fh $txt;
    close($fh);
}

sub not_null($) {
    my $a = shift;
    return 0 if not defined $$a;
    return 0 if $$a eq '';
    return 1;
}

1;
